package com.chenyang.nse.bussiness.entity.info;

import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.engine.infa.powercenter961.maskdata.ParamBean;
import com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean.MappingPramaBean;
import com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean.MappletMakeDatabean;
import com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean.SourceBean;
import com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean.TargetBean;
import com.chenyang.nse.bussiness.entity.orm.table.core.maskingself.TCoreMaskingselfFile;
import java.util.List;

public class CreateSelfXmlData {
   private ParamBean paramBean;
   private InfoProperty infoProperty;
   private SourceBean sourceBean;
   private TargetBean targetBean;
   private List<MappletMakeDatabean> mapplet;
   private List<MappingPramaBean> paramList;
   private TCoreMaskingselfFile maskingSelfFile;

   public ParamBean getParamBean() {
      return this.paramBean;
   }

   public void setParamBean(ParamBean paramBean) {
      this.paramBean = paramBean;
   }

   public InfoProperty getInfoProperty() {
      return this.infoProperty;
   }

   public void setInfoProperty(InfoProperty infoProperty) {
      this.infoProperty = infoProperty;
   }

   public SourceBean getSourceBean() {
      return this.sourceBean;
   }

   public void setSourceBean(SourceBean sourceBean) {
      this.sourceBean = sourceBean;
   }

   public TargetBean getTargetBean() {
      return this.targetBean;
   }

   public void setTargetBean(TargetBean targetBean) {
      this.targetBean = targetBean;
   }

   public List<MappletMakeDatabean> getMapplet() {
      return this.mapplet;
   }

   public void setMapplet(List<MappletMakeDatabean> mapplet) {
      this.mapplet = mapplet;
   }

   public List<MappingPramaBean> getParamList() {
      return this.paramList;
   }

   public void setParamList(List<MappingPramaBean> paramList) {
      this.paramList = paramList;
   }

   public TCoreMaskingselfFile getMaskingSelfFile() {
      return this.maskingSelfFile;
   }

   public void setMaskingSelfFile(TCoreMaskingselfFile maskingSelfFile) {
      this.maskingSelfFile = maskingSelfFile;
   }
}
